Retrieve a teamspace
GET/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/
Retrieve a teamspace by its ID.
Workspace Owners and Admins can retrieve any teamspace. Other users must be members of that teamspace.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
teamspace_id:requiredstringThe unique identifier of the teamspace.
Scopes
read or teamspaces:read
Retrieve a teamspace
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response200
json
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"created_at": "2023-11-19T11:56:55.176802Z",
"updated_at": "2023-11-19T11:56:55.176809Z",
"deleted_at": null,
"name": "Engineering Team",
"description_json": {},
"description_html": "<p>Engineering team workspace</p>",
"description_stripped": "Engineering team workspace",
"description_binary": null,
"logo_props": {
"in_use": "emoji",
"emoji": {
"value": "1f680"
}
},
"created_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
"updated_by": null,
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"lead": "16c61a3a-512a-48ac-b0be-b6b46fe6f430"
}
